Table of Contents

Class: Service | Twisted-0.17.4/twisted/words/service.py
--- | ---

I am a chat service.

Base Classes |
--- | ---
pb.Service styles.Versioned

Methods |
--- | ---
__init__ __str__ createParticipant getGroup getPerspectiveNamed upgradeToVersion1 upgradeToVersion2
| __init__

    __init__ (
            self,
            name,
            app,
            )

| __str__

    __str__ ( self )

| createParticipant

    createParticipant ( self,  name )

| getGroup

    getGroup ( self,  name )

| getPerspectiveNamed

    getPerspectiveNamed ( self,  name )

Exceptions |
--- | ---
UserNonexistantError( name )

| upgradeToVersion1

    upgradeToVersion1 ( self )

| upgradeToVersion2

    upgradeToVersion2 ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:59 2002 by HappyDoc version 2.0